%define module  django-piston

Name:           python-%{module}
Version:        0.2.3
Release:        %mkrel 9
Summary:        A mini-framework for Django for creating RESTful APIs
Group:          Development/Python
License:        BSD
URL:            https://bitbucket.org/jespern/django-piston/
Source:         https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
Patch0:         django-piston-0.2.3-mga-fix-setup-init_file.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

Requires:       pythonegg(2)(django)

%description
Piston is a relatively small Django application that lets you
create application programming interfaces (API) for your sites.

%prep
%setup -q -n %{module}-%{version}
%apply_patches

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

%files
%{python_sitelib}/piston/
%{python_sitelib}/django_piston-%{version}-py%{pyver}.egg-info


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-9.mga5
+ Revision: 744003
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.3-8.mga5
+ Revision: 728294
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-7.mga5
+ Revision: 687988
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Apr 26 2014 daviddavid <daviddavid> 0.2.3-5.mga5
+ Revision: 618140
- update URL and link url for Source
- minor cosmetic change
- prefer use pkgconfig and pythonegg() macros
- add Patch0 to fix package, as it seems that __init__.py was not copied

* Tue Oct 22 2013 umeabot <umeabot> 0.2.3-4.mga4
+ Revision: 543241
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.3-3.mga4
+ Revision: 498380
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-2.mga3
+ Revision: 378692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + misc <misc>
    - ditch mercurail snapshot magic, not needed now a new stable release is out

* Thu Nov 17 2011 misc <misc> 0.2.3-1.mga2
+ Revision: 168350
- new version 0.2.3 ( security fix )

* Tue Apr 19 2011 misc <misc> 0.2.3-0.0.2.e539a104d516.mga1
+ Revision: 88733
- fix package, as it seesm that __init__.py was not copied

* Tue Apr 05 2011 misc <misc> 0.2.3-0.0.1.e539a104d516.mga1
+ Revision: 80866
- update to a mercurial snapshot, to fix issue with transifex ( http://trac.transifex.org/ticket/634 )

* Thu Jan 27 2011 ahmad <ahmad> 0.2.2-2.mga1
+ Revision: 42396
- imported package python-django-piston


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.2-2mdv2011.0
+ Revision: 592244
- rebuild for python 2.7

* Wed Sep 29 2010 Michael Scherer <misc@mandriva.org> 0.2.2-1mdv2011.0
+ Revision: 581941
- fix Group
- import python-django-piston

